CHOWN(1)

NAMA
chown - mengubah kepemilikan pengguna dan grup berkas

RINGKASAN
chown [PILIHAN]... [PEMILIK][:[GRUP]] BERKAS...
chown [PILIHAN]... --reference=RFILE BERKAS...

DESKRIPSI
Halaman manual ini mendokumentasikan chown versi GNU. chown mengubah kepemilikan pengguna dan/atau grup dari setiap berkas yang diberikan. Bila hanya satu pemilik (sebuah nama pengguna atau ID pengguna numerik) diberikan, maka pengguna itu menjadi pemilik dari setiap berkas yang diberikan, dan grup berkas tidak berubah. Bila pemilik diikuti titik dua dan sebuah nama grup (atau ID grup numerik), tanpa ada spasi diantaranya maka kepemilikan grup berkas juga diubah. Bila ada sebuah titik dua tanpa nama grup mengikuti nama pengguna, maka pengguna itu menjadi pemilik berkas dan grup berkas diubah ke grup login milik pengguna tersebut. Bila titik dua dan grup diberikan tapi nama pengguna dihilangkan maka hanya grup berkas yang diubah; dalam kasus ini chown melakukan fungsi yang sama dengan chgrp. Bila hanya sebuah titik dua yang diberikan, atau bila seluruh operand kosong, pemilik maupun grup tidak diubah.

PILIHAN

Ubah pemilik dan/atau grup dari setiap BERKAS ke PEMILIK dan/atau GRUP. Dengan --reference, ubah pemilik dan grup dari setiap BERKAS ke RFILE.

-c, --changes
    seperti cerewet tapi hanya laporkan ketika suatu perubahan dibuat

-f, --silent, --quiet
    sembunyikan kebanyakan pesan kesalahan

-v, --verbose
    keluarkan sebuah pesan diagnostik untuk setiap berkas yang diproses

--dereference
    memengaruhi yang diacu oleh setiap taut simbolik (ini adalah baku), bukan taut simboliknya itu sendiri

-h, --no-dereference
    memengaruhi taut simbolik sebagai ganti dari sebarang berkas yang diacu (hanya berguna pada sistem yang dapat mengubah kepemilikan dari suatu symlink)

--from=PEMILIK_KINI:GRUP_KINI
    mengubah pemilik dan/atau grup dari setiap berkas hanya jika pemilik dan/atau grup sekarang cocok dengan yang dispesifikasikan disini. Bisa diabaikan, dimana sebuah kasus cocok tidak dibutuhkan untuk mengabaikan atribut

--no-preserve-root
    jangan perlakukan '/' spesial (default)

--preserve-root
    gagal beroperasi secara rekursif di '/'

--reference=RFILE
    gunakan pemilik dan grup RFILE daripada menyatakan nilai PEMILIK:GRUP

-R, --recursive
    beroperasi di berkas dan direktori secara rekursif

Pilihan berikut memodifikasi bagaimana sebuah hierarki ditelusuri ketika pilihan -R juga dispesifikasikan. Jika lebih dari satu dispesifikasikan, hanya yang terakhir yang memiliki efek.

-H  jika sebuah argumen baris perintah adalah sebuah link simbolik ke sebuah direktori, telusuri itu

-L  telusuri ke seluruh link simbolik ke sebuah direktori yang ditemui

-P  jangan menelusuri link simbolik apapun (bawaan)

--help
    tampilkan bantuan ini dan keluar

--version
    tulis informasi versi dan keluar

Pemilik tidak diubah jika hilang. Grup tidak diubah jika hilang, tetapi ubah ke grup login jika diimplikasikan oleh sebuah `:' diikuti sebuah simbolik PEMILIK. PEMILIK dan GRUP boleh berupa numerik seperti juga simbolik.

CONTOH

chown root /u
    Ubah pemilik dari /u ke "root".

chown root:staff /u
    Mieip, tetapi juga ubah grupnya ke "staff".

chown -hR root /u
    Ubah pemilik dari /u dan sub berkas ke "root".

PENGARANG
Ditulis oleh David MacKenzie dan Jim Meyering.

MELAPORKAN BUG
Bantuan daring GNU coreutils: <https://www.gnu.org/software/coreutils/>
Lapor bug penerjemahan ke <https://translationproject.org/team/id.html>

HAK CIPTA
Hak Cipta © 2020 Free Software Foundation, Inc. License GPLv3+: GNU GPL versi 3 atau selanjutnya <https://gnu.org/licenses/gpl.html>.
Ini adalah perangkat lunak bebas: Anda bebas untuk mengubah dan mendistribusikannya. TIDAK ADA JAMINAN, sampai batas yang diperbolehkan oleh hukum.

LIHAT JUGA
chown(2)

Dokumentasi lengkap <https://www.gnu.org/software/coreutils/chown>
atau tersedia lokal melalui: info '(coreutils) chown invocation'

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh Rizqy Syarief <rizqy@rad.net.id> dan Andika Triwidada <andika@gmail.com>

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke <TODO>.